Bug 45108 - Proxy credentials not used for https url
Summary: Proxy credentials not used for https url
Status: VERIFIED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Net.Http (show other bugs)
Version: 4.8.0 (C9)
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2016-10-06 12:41 UTC by Matt Ward
Modified: 2016-10-12 09:06 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Matt Ward 2016-10-06 12:41:50 UTC
Credentials for a proxy used when connecting to a https url do not seem to be used causing the url request to fail. Using proxy credentials with a http url works OK.

To repro:

With a system wide proxy configured for both http and https on the Mac run the ProxyCredentialTests from the following repository:

https://github.com/mrward/MonoNuGet3ProxyTests

The ProxyCredentialTests - NuGet3Api and HttpsAsyncRequestThroughProxy tests fail whilst the HttpAsyncThroughProxy one works with Mono 4.8.0.

With Mono 4.4.0 all three of these tests work.

The ProxyCredentialTests assume that Fiddler is being used as the proxy and the default username/password for Fiddler is hard coded at the top of the test.
Comment 1 Marek Safar 2016-10-11 12:27:56 UTC
Fixed in master and Mono 4.8
Comment 2 Matt Ward 2016-10-12 09:06:02 UTC
Looks good to me. Everything proxy related is now working in Xamarin Studio. Thanks.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.